test.sh 492 B

123456789101112131415161718192021222324
  1. #!/bin/bash
  2. set -e
  3. set -o pipefail
  4. # This is a script to build the modules and run the test suite in the base
  5. # Docker container.
  6. die() {
  7. echo "Error: $@" 1>&2
  8. exit 1;
  9. }
  10. mkdir /usr/src/CTK-build
  11. cd /usr/src/CTK-build || die "Could not cd into the build directory"
  12. mkdir /usr/src/CTK-build/CTK-build
  13. cd /usr/src/CTK-build/CTK-build || die "Could not cd into the build directory"
  14. ctest \
  15. $1 \
  16. -S /usr/src/CTK/CMake/CircleCI/CircleCI_CTK_Docker.cmake \
  17. -VV || die "ctest failed"